Bug 376221 - mugshot crash [backtrace]
mugshot crash [backtrace]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mugshot (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 12:45 EST by Rui Matos
Modified: 2008-03-26 13:13 EDT (History)
0 users

See Also:
Fixed In Version: 1.1.58-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2007-11-11 12:45:02 EST
Mugshot client just crashed (for no special reason AFAICT).

The version is mugshot-1.1.56-1.fc8

Here is the backtrace:

Core was generated by `/usr/bin/mugshot'.
#0  0x000000310980e085 in waitpid () from /lib64/libpthread.so.0
(gdb) thread apply all bt

Thread 1 (process 2208):
#0  0x000000310980e085 in waitpid () from /lib64/libpthread.so.0
#1  0x00000038e625df80 in IA__g_spawn_sync (working_directory=<value optimized
out>, 
    argv=<value optimized out>, envp=<value optimized out>, flags=<value
optimized out>, 
    child_setup=<value optimized out>, user_data=<value optimized out>,
standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fff88ecf3c8) at gspawn.c:369
#2  0x00000038e625e278 in IA__g_spawn_command_line_sync (command_line=<value
optimized out>, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0,
error=0x7fff88ecf3c8) at gspawn.c:677
#3  0x00002aaab024e2e5 in gtk_status_icon_position_menu () at gtkstatusicon.c:1851
#4  <signal handler called>
#5  0x0000003108c30ec5 in raise () from /lib64/libc.so.6
#6  0x0000003108c32970 in abort () from /lib64/libc.so.6
#7  0x00000038e62373f5 in IA__g_logv (log_domain=0x38e6277e46 "GLib", 
    log_level=<value optimized out>, 
    format=0x38e627fa90 "file %s: line %d (%s): assertion failed: (%s)",
args1=0x7fff88ecffa0)
    at gmessages.c:497
#8  0x00000038e6237493 in IA__g_log (log_domain=0x8a0 <Address 0x8a0 out of
bounds>, log_level=2208, 
    format=0x6 <Address 0x6 out of bounds>) at gmessages.c:517
#9  0x00000038e6237516 in IA__g_assert_warning (log_domain=0x38e6277e46 "GLib", 
    file=0x38e627dc0e "gmain.c", line=2085, pretty_function=0x38e627dfd0
"g_main_dispatch", 
    expression=0x38e627dc65 "source->context == context") at gmessages.c:552
#10 0x00000038e622f051 in IA__g_main_context_dispatch (context=0x6f2700) at
gmain.c:2085
#11 0x00000038e62320ed in g_main_context_iterate (context=0x6f2700, block=1,
dispatch=1, 
    self=<value optimized out>) at gmain.c:2694
#12 0x00000038e62323fa in IA__g_main_loop_run (loop=0x6f6f70) at gmain.c:2898
#13 0x0000000000427917 in main (argc=1, argv=0x7fff88ed0358) at src/main.c:928
#14 0x0000003108c1e074 in __libc_start_main () from /lib64/libc.so.6
#15 0x0000000000410bb9 in _start ()
Comment 1 Colin Walters 2008-02-26 13:25:53 EST
Not sure about this stack trace - I don't recognize it but it seems quite
possible it's fixed in the latest code.  We had some other crashers that might
have manifested in this way.
Comment 2 Fedora Update System 2008-02-27 10:17:28 EST
mugshot-1.1.58-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-28 16:37:02 EST
mugshot-1.1.58-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mugshot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2052
Comment 4 Fedora Update System 2008-03-26 13:13:50 EDT
mugshot-1.1.58-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.